Bug 1650461 - Save button not getting enabled after changing "Truncate Long Text" in visual setting page
Summary: Save button not getting enabled after changing "Truncate Long Text" in visual...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Martin Hradil
QA Contact: Ganesh Hubale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 08:54 UTC by Niyaz Akhtar Ansari
Modified: 2019-02-12 16:51 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:51:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot (116.91 KB, image/png)
2018-11-16 08:54 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2018-11-16 08:54:57 UTC
Created attachment 1506358 [details]
screenshot

Description of problem:


Version-Release number of selected component (if applicable):
Version 5.10.0.24.20181113213923_03b81fd

How reproducible:
100%

Steps to Reproduce:
1.Go My Settings-> Visuals tab
2.Change Truncate Long Text from drop down and try to save


Actual results:
Button not getting enable

Expected results:
It should work

Additional info:

Comment 4 CFME Bot 2018-11-20 11:32:40 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/eaa3dfc2085cb2378a65a6384f6edc706f3cd09f
commit eaa3dfc2085cb2378a65a6384f6edc706f3cd09f
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Tue Nov 20 05:22:33 2018 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Tue Nov 20 05:22:33 2018 -0500

    Configuration - notify backend when `quad_truncate` gets changed

    without `miqSelectPickerEvent`, any change in `quad_truncate` never gets propagated to the backend
    => adding `miqSelectPickerEvent`

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1650461

 app/views/configuration/_ui_1.html.haml | 2 +
 1 file changed, 2 insertions(+)


https://github.com/ManageIQ/manageiq-ui-classic/commit/8c98e8fdbcee7221d8a3ee45dcc60470b71aba93
commit 8c98e8fdbcee7221d8a3ee45dcc60470b71aba93
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Nov 19 13:10:31 2018 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 19 13:10:31 2018 -0500

    ui_1 - sanitize javascript

    made sure that indent of the javascript always matches the indent of the select itself,
    fixed style issues (double quotes to single quotes, added semicolons),
    removed useless gettext around field names (not descriptions),
    and made sure `miqInitSelectPicker` ends up getting called exactly once.

    https://bugzilla.redhat.com/show_bug.cgi?id=1650461

 app/views/configuration/_ui_1.html.haml | 36 +-
 1 file changed, 17 insertions(+), 19 deletions(-)

Comment 5 CFME Bot 2018-11-20 14:43:28 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/7c7808600cbe01b8627268e2d608d0a290cf1497
commit 7c7808600cbe01b8627268e2d608d0a290cf1497
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Nov 20 06:31:32 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Nov 20 06:31:32 2018 -0500

    Merge pull request #4942 from himdel/quad-event-bz1650461

    Configuration - notify backend when `quad_truncate` gets changed

    (cherry picked from commit 29734e6ddc0de970dc133570d7252aee62741e8a)

    https://bugzilla.redhat.com/show_bug.cgi?id=1650461

 app/views/configuration/_ui_1.html.haml | 38 +-
 1 file changed, 19 insertions(+), 19 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.